Next Previous Contents

## 3.164 textcolor

> Function

>   Set the text color.

> Header

>   `conio.h`

> Declaration

>   `unsigned char __fastcall__ textcolor (unsigned char color);`

> Description

>   The function will set a new text color. It returns the old (current) text color. Text output using any `conio.h` function will use the color set by this function.

> Limits

>   - Text colors are system dependent. The function may have no effect on systems where the text color cannot be changed.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   bgcolor, bordercolor

> Example

>   None.

Next Previous Contents